<?php

namespace App\Classes\Modules\Transactions\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\ValueObjects\Constants\RoleTypes;
use Illuminate\Support\Facades\Auth;

class CanUpdateCreditNote extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized($object): bool
    {
        if (in_array(Auth::user()->type, RoleTypes::ADMIN_ROLES)) {
            return true;
        }
        return false;
    }

    /**
     * @param $object
     * @return bool
     * @throws \App\Classes\Exceptions\RequestValidationException
     */
    protected function validators($object): bool
    {
        return true;
    }

    /**
     * @param $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}
